<template>
  <div class="container-fluid p-0">
    <router-view/>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  created() {
    if (localStorage.getItem('is_loggedin')) {
      this.saveToken({
        token: localStorage.getItem('token'),
        refresh_token: localStorage.getItem('refresh_token')
      })
      this.saveUsuario(JSON.parse(localStorage.getItem('usuario')))
    }
  },
  methods:{
    ...mapActions('usuario', ['saveUsuario', 'saveToken'])
  }
}
</script>

<style>
body {
  background-color: #dbdbdb !important;
}

.heroes, .dashboard, .confirmacion {
  min-height: 100vh;
  position: relative;
}

.padding {
  padding-bottom: 40px;
}
</style>
